8086:1616 Display goes black at random times

Bug #1507073 reported by Adam Carter on 2015-10-17
44
This bug affects 9 people
Affects Status Importance Assigned to Milestone
Dell Sputnik
Undecided
Unassigned
linux (Ubuntu)
High
Unassigned

Bug Description

Frequently using Ubuntu 15.04 my display blacks out. It occurs at seemingly random times, many times back to back.

I'm getting the following messages in syslog each time it happens.

pci_bus 0000:01: Allocating resources
pci_bus 0000:02: Allocating resources
i915_bpo 0000:00:02.0: BAR 6: [??? 0x00000000 flags 0x2] has bogus alignment
pci_bus 0000:01: Allocating resources
pci_bus 0000:02: Allocating resources
i915_bpo 0000:00:02.0: BAR 6: [??? 0x00000000 flags 0x2] has bogus alignment
i915_bpo 0000:00:02.0: BAR 6: [??? 0x00000000 flags 0x2] has bogus alignment
i915_bpo 0000:00:02.0: BAR 6: [??? 0x00000000 flags 0x2] has bogus alignment
i915_bpo 0000:00:02.0: BAR 6: [??? 0x00000000 flags 0x2] has bogus alignment
pci_bus 0000:01: Allocating resources
pci_bus 0000:02: Allocating resources
i915_bpo 0000:00:02.0: BAR 6: [??? 0x00000000 flags 0x2] has bogus alignment
i915_bpo 0000:00:02.0: BAR 6: [??? 0x00000000 flags 0x2] has bogus alignment
i915_bpo 0000:00:02.0: BAR 6: [??? 0x00000000 flags 0x2] has bogus alignment
i915_bpo 0000:00:02.0: BAR 6: [??? 0x00000000 flags 0x2] has bogus alignment
i915_bpo 0000:00:02.0: BAR 6: [??? 0x00000000 flags 0x2] has bogus alignment
i915_bpo 0000:00:02.0: BAR 6: [??? 0x00000000 flags 0x2] has bogus alignment
i915_bpo 0000:00:02.0: BAR 6: [??? 0x00000000 flags 0x2] has bogus alignment

I can restore my display by either closing my laptops lid and reopen, or by running

xset dpms force off

xset dpms force on

ProblemType: Bug
DistroRelease: Ubuntu 15.04
Package: xorg 1:7.7+7ubuntu4
ProcVersionSignature: Ubuntu 3.19.0-30.34-generic 3.19.8-ckt6
Uname: Linux 3.19.0-30-generic x86_64
.tmp.unity.support.test.0:

ApportVersion: 2.17.2-0ubuntu1.5
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
CurrentDesktop: Unity
Date: Fri Oct 16 18:27:00 2015
DistUpgraded: Fresh install
DistroCodename: vivid
DistroVariant: ubuntu
EcryptfsInUse: Yes
ExtraDebuggingInterest: Yes
GraphicsCard:
 Intel Corporation Broadwell-U Integrated Graphics [8086:1616] (rev 09) (prog-if 00 [VGA controller])
   Subsystem: Dell Device [1028:0665]
InstallationDate: Installed on 2015-10-14 (2 days ago)
InstallationMedia: Ubuntu 15.04 "Vivid Vervet" - Release amd64 (20150422)
MachineType: Dell Inc. XPS 13 9343
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.19.0-30-generic.efi.signed root=UUID=edec3894-6c89-4414-9a20-8d4804f4a27e ro quiet splash vt.handoff=7
SourcePackage: xorg
UdevLog: Error: [Errno 2] No such file or directory: '/var/log/udev'
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 07/14/2015
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A05
dmi.board.name: 0TM99H
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 9
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA05:bd07/14/2015:svnDellInc.:pnXPS139343:pvr:rvnDellInc.:rn0TM99H:rvrA00:cvnDellInc.:ct9:cvr:
dmi.product.name: XPS 13 9343
dmi.sys.vendor: Dell Inc.
version.compiz: compiz 1:0.9.12.1+15.04.20150410.1-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.60-2
version.libgl1-mesa-dri: libgl1-mesa-dri 10.5.9-2ubuntu1~vivid2
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 10.5.9-2ubuntu1~vivid2
version.xserver-xorg-core: xserver-xorg-core 2:1.17.1-0ubuntu3.1
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.9.0-1ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.5.0-1ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917-1~exp1ubuntu2.2
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.11-1ubuntu2build1
xserver.bootTime: Fri Oct 16 09:32:33 2015
xserver.configfile: default
xserver.errors: SynPS/2 Synaptics TouchPad: Read error 19
xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:
 product id 5153
 vendor SHP
xserver.version: 2:1.17.1-0ubuntu3.1

Adam Carter (dmcrtr) wrote :
summary: - Display goes black and random times
+ Display goes black at random times
Adam Carter (dmcrtr) on 2015-10-17
description: updated

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xorg (Ubuntu):
status: New → Confirmed
Adam Carter (dmcrtr) wrote :

Here the section of the syslog of one of these events.

Adam Carter, thank you for reporting this and helping make Ubuntu better. To see if this is already resolved in Ubuntu, could you please test for this via http://cdimage.ubuntu.com/daily-live/current/ and advise to the results?

tags: added: latest-bios-a05
Changed in xorg (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
Adam Carter (dmcrtr) wrote :

I ran into the same issue on fresh install of Willy after rebooting from installing the latest updates

Linux regulus 4.2.0-16-generic #19-Ubuntu SMP Thu Oct 8 15:35:06 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

Adam Carter, could you please test the latest upstream kernel available from the very top line at the top of the page from http://kernel.ubuntu.com/~kernel-ppa/mainline/?C=N;O=D (the release names are irrelevant for testing, and please do not test the daily folder)? Install instructions are available at https://wiki.ubuntu.com/Kernel/MainlineBuilds . This will allow additional upstream developers to examine the issue.

If the latest kernel did not allow you to test to the issue (ex. you couldn't boot into the OS) please make a comment in your report about this, and continue to test the next most recent kernel version until you can test to the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this issue is fixed in the mainline kernel, please add the following tags by clicking on the yellow circle with a black pencil icon, next to the word Tags, located at the bottom of the report description:
kernel-fixed-upstream
kernel-fixed-upstream-X.Y-rcZ

Where X, Y, and Z are numbers corresponding to the kernel version.

If the mainline kernel does not fix the issue, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-X.Y-rcZ

Please note, an error to install the kernel does not fit the criteria of kernel-bug-exists-upstream.

Once testing of the latest upstream kernel is complete, please mark this report's Status as Confirmed. Please let us know your results.

Thank you for your understanding.

tags: added: wily
affects: xorg (Ubuntu) → linux (Ubuntu)
Adam Carter (dmcrtr) on 2015-10-18
tags: added: kernel-bug-exists-upstream kernel-bug-exists-upstream-4.3-rc5
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Adam Carter (dmcrtr) wrote :

I have gone ahead and installed the latest rc

Linux regulus 4.3.0-040300rc5-generic #201510111530 SMP Sun Oct 11 19:31:35 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

The issue is still there. Please let me know if there is any additional information I can provide, or any other way I can help this along.

Thanks for your time on this!

Adam Carter (dmcrtr) wrote :

It could be entirely coincidental but it seems to be happening way more frequently with 4.3 then with 3.19. I've had it blank 6 times since I've upgraded kernels less then an hour ago.

Adam Carter, could you please test for this with the latest Intel kernel (drm-intel-nightly) and advise to the results?

If reproducible, please post your dmesg with the above kernel, and after booting with drm.debug=14 kernel boot parameter.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Adam Carter (dmcrtr) wrote :

I've been testing it heavily today and its looking like the problem is fixed on drm-intel 4.3.0-994 I'm still getting the "i915 0000:00:02.0: BAR 6: [??? 0x00000000 flags 0x2] has bogus alignment" messages but no screen blank outs so far (not sure if the message is relevant any ways).

I'm going to give it a couple days of testing before I'm convinced its fixed, but for now it's looking like the problem is resolved.

If I can ask one question what is the drm-intel branch? I'm assuming this is the development branch of the kernel is this correct? If you could can you provide me a link so I can read up on it. I'd love to understand it better.

Adam Carter (dmcrtr) wrote :

I haven't been able to reproduce it on 4.3.0-994-generic. The problem seems to be solved running this kernel.

keithy (keith-waller) wrote :

Adam,

thanks for your testing with this. How do we get the fix back ported to 4.2 branch? is that even possible??

Adam Carter (dmcrtr) wrote :

Sadly that is outside of my know how. I'm hoping that some one involved with Sputnik or someone else will be able to make sense of this and provide a fix.

I have had the screen flash a few times since updating kernels but haven't looked into that yet. Besides that everything seems to work as it should.

Adam Carter, to see if the fixes in intel-drm-nightly landed in mainline already, could you please test the latest mainline kernel (4.3-rc6) and advise to the results?

Adam Carter (dmcrtr) wrote :

Its still happening on 4.3-rc6

tags: added: kernel-bug-exists-upstream-4.3-rc6
removed: kernel-bug-exists-upstream-4.3-rc5

Adam Carter, the issue you are reporting is an upstream one. Could you please report this problem following the instructions verbatim at https://wiki.ubuntu.com/Bugs/Upstream/kernel to the appropriate venue (intel-gfx)?

Please provide a direct URL to your newly made report when it becomes available so that it may be tracked.

Thank you for your understanding.

Changed in linux (Ubuntu):
status: Incomplete → Triaged
importance: Medium → High
summary: - Display goes black at random times
+ 8086:1616 Display goes black at random times
Adam Carter (dmcrtr) wrote :

Thanks, I'll go ahead and do that but I'm having trouble finding the link (or email?) of where to report this bug in https://wiki.ubuntu.com/Bugs/Upstream/kernel only information on how to formate it.

Adam Carter (dmcrtr) wrote :

I am also unsure of where to send it, my guess is
http://lists.freedesktop.org/mailman/listinfo/intel-gfx is this correct?
I was assuming it would be on kernel.org.

I tried to find examples of bugs on that list but couldn't any ones in
the asked for format.

I'm pretty confused about how to file the upstream report. If you'd
have the time to clear this up or point in the right direction I'd
really appreciate it.

I haven't done this before I rather take the time to get it right to begin with.

Adam Carter, I made a slight error in https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1507073/comments/16 . You actually want to send it to the maintainers Daniel Vetter and Jani Nikula, and CC intel-gfx.

Krzysztof Janowicz (janowicz) wrote :

Same issue being discussed here: http://ubuntuforums.org/showthread.php?t=2301071&page=6&p=13393733#post13393733 (with links to potential solutions ) Kernel 4.3 still has the issue for me on a new (late 2015) XPS 15 running Nvidia's 355 driver.

Monster Danau (monster-danau) wrote :

Having this same issue on 4.4

Dell XPS 13 9350 (2016)
Non-touch 13.3” FHD AG (1920 x 1080) InfinityEdge display
Intel® Skylake ULT GT2

Ubuntu 15.10
Kernel: 4.4.1-040401-generic #201601311534 SMP Sun Jan 31 20:36:43 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

To post a comment you must log in.